Subject: Re: cable throughput
From: [email-masked] (David Empson)
Date: Thu, 27 Jan 1994 11:08:36 GMT
Newsgroups: comp.sys.apple2

In article <1994Jan26.015047.28456@yuma> [email-masked] (James Riddle) writes:
> 
> 	Can anyone tell me what the pin to pin throughput is on the 
> 	GS to ImageWriter I cable?  PLEASE?  I can't find one of these cables 
> 	in town and would like to get my HP Deskjet 500 working SOON.

Looking at the IIgs serial connector, the pins are numbered as follows:

  8   7   6

  5   4   3

    2   1

The signals on each pin are:

1  Handshake Out (DTR)
2  Handshake In (DSR)
3  Transmit Data minus
4  Signal Ground
5  Receive Data minus
6  Transmit Data plus
7  General purpose input (DCD)
8  Receive Data plus

Shield is frame ground.

The ImageWriter I or DeskJet 500 has a female DB-25 connector,
arranged in the standard order for a DTE (Data Terminal Equipment), i.e.

1  Frame Ground
2  Transmit Data
3  Receive Data
4  Request to Send (output from printer, probably not used)
5  Clear to Send (input to printer, probably not used)
6  Data Set Ready (input to printer)
7  Signal Ground
8  Carrier Detect (input to printer, probably not used)
20 Data Terminal Ready (output from printer)

The pinout of the cable is:

IIgs (Mini-Din-8 male)       Printer (DB-25 male)
1 (HShk Out)                 6  (DSR)
2 (HShk In)                  20 (DTR)
3 (TxD-)                     3  (RxD)
4 (Gnd)                      7  (Gnd)
5 (RxD-)                     2  (TxD)
6 (TxD+)  no connection
7 (DCD)   no connection
8 (RxD+)  must be conected to signal ground (IIgs pin 4, printer pin 7)

If you have a shielded cable, also connect the cable shield to the
Mini-Din-8 plug's shielding, and to pin 1 and the shield of the DB-25.
-- 
David Empson                                                               
[email-masked]                                                
Snail mail: P.O. Box 27-103, Wellington, New Zealand